import { BaseIgnoreHideHelpers } from 'tnp-helpers/lib';
import type { Project } from './project';
export declare class IgnoreHide// @ts-ignore TODO weird inheritance problem
 extends BaseIgnoreHideHelpers<Project> {
    private applyToChildren;
    getPatternsIgnoredInRepoButVisibleToUser(): string[];
    protected storeInRepoConfigFiles(): boolean;
    get hideInProject(): string[];
    protected alwaysIgnoredHiddenPatterns(): string[];
    protected alwaysIgnoredAndHiddenFilesAndFolders(): string[];
    alwaysUseRecursivePattern(): string[];
    protected hiddenButNotNecessaryIgnoredInRepoFilesAndFolders(): string[];
    protected hiddenButNotNecessaryIgnoredInRepoPatterns(): string[];
    protected hiddenButNeverIgnoredInRepo(): string[];
    getVscodeFilesFoldersAndPatternsToHide(): {
        [fileFolderOrPattern: string]: true;
    };
}
